Create transaction: smallcase order

Create a transactionId for smallcase orders

smallcase Lifecycle

1. First order by a user in a smallcase - BUY

  • Each smallcase is represented by a unique id called scid. Pass the scid of respective smallcase which user wants to "buy".

  • Possible order type: BUY

  • x-gateway-authtoken JWT: can be a guest user auth token

  • Sample request body -

{
    "intent": "TRANSACTION",
    "orderConfig": {
        "type": "BUY",
        "scid": "SCET_0010"
    },
    "notes": "upto 256 character long string (optional) to tag order"
}

Once the user completed a buy order, in the transaction response, iscid (a unique identifier for the user's invested smallcase) is created and shared.

2. Subsequent orders in an invested smallcase

  • The iscid can be used to trigger subsequent orders on the invested smallcase.

  • Possible order type: INVESTMORE / FIX / REBALANCE / SIP / MANAGE / EXIT

  • x-gateway-authtoken JWT: must be connected user auth token

  • Sample request body -

{
    "intent": "TRANSACTION",
    "orderConfig": {
        "type": "INVESTMORE",
        "scid": "SCET_0010"
    },
    "notes": "upto 256 character long string (optional) to tag order"
}

3. Start and manage SIP

  • This iscid can be used to manage SIP (start, edit, end).

  • Intent: SIP_SETUP

  • x-gateway-authtoken JWT: must be connected user auth token

  • Sample request body -

{
    "intent": "SIP_SETUP",
    "orderConfig": {
        "iscid": "5f58be2e0ae6815aef0d1118"
    }
}

Learn more in our SIP Setup guide

4. Start and manage IMR

  • This iscid can be used to manage IMR.

  • Intent: IMR_SETUP

  • x-gateway-authtoken JWT: must be connected user auth token

  • Sample request body -

{
    "intent": "IMR_SETUP",
    "orderConfig": {
        "iscid": "5f58be2e0ae6815aef0d1118"
    }
}

List of order types

Order TypeDescription
BUYThis is the first investment for the user in a smallcase (identified uniquely by scid).
INVESTMOREUsers can make subsequent investments (buying more) in their invested smallcase (identified uniquely by iscid).
FIX/REPAIRIn a repair order, all the unfilled stocks of the previous transaction are attempted again as a fresh order on the same invested smallcase.
REBALANCEsmallcase constituents are reviewed periodically to ensure that it accurately reflects the underlying theme and model.
Whenever a manager pushes rebalance update, a recommendedAction=REBALANCE is added to invested smallcase data (and as a pending action).
SIPIf a user has set a manual SIP, a SIP order will help the user complete their sip order on and after SIP due date.
The SIP pending action is added to the user's invested smallcase on the due date.
MANAGEThis flow allows user to manually tweak their investment (addition and removal of constituents) from their invested smallcase. This will lead to deviation from the manager's recommendation.
EXITThis will trigger the sell flow for the user to exit the smallcase, partially or completely.
Sample UI for enabling different order types
2150

FAQs

How can we know which actions can be further taken on an invested smallcase?


Request parameters

Path Params
string
required
Defaults to gatewaydemo
Body Params
string
required
Defaults to TRANSACTION

Define the intent of transactionId. Value: "TRANSACTION"

orderConfig
object
required

Transact in smallcases by passing order type & smallcase identifier

string

Optional | upto 256 characters, returned in the transaction response

Headers
string
required
Defaults to gatewayDemo_secret

Required | apiSecret shared for authentication

string
required
Defaults to eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWVzdCI6dHJ1ZSwiaWF0IjoxNjU0MzIxMDAwfQ.qiZ_w1yFYXhkdLMlqI28XJOXitfZwr64e2oL-lMEHZU

Required | JWT signed with shared secret & payload of guest user or connected user

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json